### Method

# Foundry BuildPipeline prepare

#### Declaration [src]

    DexFuture*
    foundry_build_pipeline_prepare (
      FoundryBuildPipeline* self,
      FoundryProcessLauncher* launcher,
      FoundryBuildPipelinePhase phase
    )

#### Description [src]

Prepares the launcher for running within the build pipeline.

#### Parameters

`launcher`

  Type: `FoundryProcessLauncher`

  A `FoundryProcessLauncher`.

  The data is owned by the caller of the method.

`phase`

  Type: `FoundryBuildPipelinePhase`

  No description available.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.